# Copyright (c) 2013 Rackspace, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import unittest
from mock import MagicMock
from barbican.api.middleware.simple import SimpleFilter


def suite():
    suite = unittest.TestSuite()

    suite.addTest(WhenTestingSimpleMiddleware())

    return suite


class WhenTestingSimpleMiddleware(unittest.TestCase):

    def setUp(self):
        self.app = MagicMock()
        self.middle = SimpleFilter(self.app)
        self.req = MagicMock()

    def test_should_process_request(self):
        self.middle.process_request(self.req)


if __name__ == '__main__':
    unittest.main()
